Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005630TestLinkReportspublic2013-04-12 10:192013-05-22 20:59
Reportermat 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005630: Test Results by direct link without login does not show bugs reported on "Test Execution"
DescriptionOn any type of report that has a link to the "Test Execution" of the test case if you just open the report and click the "Test Execution" you can see the bugs reported to the issue tracker but if you open that same report with a direct link and click on "Test Execution" you won't see the bugs reported and you will see some debugging info reporting errors.
Steps To Reproduce1- Select a Test Project where you have done some Test Execution before
2- Select Test Reports and select a Test Plan where you have done some Test Execution before
5- Select any of these test reports: Test result matrix; Failed Test Cases; Blocked Test Cases, Not run Test Cases.
6- Click on the "Test Execution" of a Test Case where a bug have been previously reported to the issue tracker
7- You will the execution info along with the history of all the bugs reported to the issue tracker regarding that Test Case execution.
8- Generate a direct link without login to that report and open the report with that link
9- On this direct link without login click on the "Test Execution" of a Test Case where a bug have been previously reported to the issue tracker
10- you will not see the history of the bugs reported to the issue tracker. You will see the debug info reported on Additional Information.
Additional InformationDB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/database.class.php:632]
#1 database->fetchRowsIntoMap() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/cfield_mgr.class.php:510]
0000002 cfield_mgr->get_linked_cfields_at_design() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/exec_cfield_mgr.class.php:106]
0000003 exec_cfield_mgr->get_linked_cfields() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/exec_cfield_mgr.class.php:48]
0000004 exec_cfield_mgr->__construct() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/execute/execSetResults.php:70]
 ==============================================================================
 ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/database.class.php:548]
#1 database->fetchFirstRow() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/database.class.php:568]
0000002 database->fetchOneValue() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/functions/testproject.class.php:892]
0000003 testproject->getTestCasePrefix() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/execute/execSetResults.php:1136]
0000004 initializeGui() called at [/opt/testlink-1.9.4-0/apps/testlink/testlink-1.9.6/lib/execute/execSetResults.php:74]
 ==============================================================================
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon direct_report.png [^] (233,325 bytes) 2013-04-12 10:19


png file icon report.png [^] (106,543 bytes) 2013-04-12 10:20

- Relationships
related to 0005629closedfman Test Results by direct link without login does not show bugs reported on "Execution history" 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018683)
fman (administrator)
2013-04-13 06:09
edited on: 2013-04-13 06:43

0- users have to have API key
1- Create Test Project PIVOT-01, Public & Active
2- Create a Test suite TS-100
3- Create 2 test cases TC-01,TC-02
4- Create a test plan TPLAN-01, Public & Active
5- Create a Build 1.0
6- Assign all test cases to TPLAN-01
7- Assign Test Case execution to dev01 (previuosly created user)
8- Select test reports -> Test result matrix
9- get ulr fot direct link
10- logout
11- use url for direct link

(0018684)
fman (administrator)
2013-04-13 06:41

http://gitorious.org/testlink-ga/testlink-code/commit/3e1299e408755142bc59ada947393833cf89e7ba [^]

- Issue History
Date Modified Username Field Change
2013-04-12 10:19 mat New Issue
2013-04-12 10:19 mat File Added: direct_report.png
2013-04-12 10:20 mat File Added: report.png
2013-04-12 17:02 fman Relationship added related to 0005631
2013-04-12 18:08 fman Relationship deleted related to 0005631
2013-04-12 18:09 fman Relationship added related to 0005629
2013-04-13 06:09 fman Note Added: 0018683
2013-04-13 06:41 fman Note Added: 0018684
2013-04-13 06:43 fman Note Edited: 0018683 View Revisions
2013-04-13 06:43 fman Note View State: 0018683: public
2013-04-13 06:43 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-04-13 06:43 fman Status new => resolved
2013-04-13 06:43 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-13 06:43 fman Resolution open => fixed
2013-04-13 06:43 fman Assigned To => fman
2013-04-13 06:48 fman Relationship added child of 0005551
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker